### 5.1.160 type

`Syntax:`
  `type` name `;`
  `type (` name `);`
`Type:`
  none
`Purpose:`
  prints the name, level, type and value of a variable. To display the value of an expression, it is sufficient to type the expression followed by `;`.
`Example:`

        int i=3;
        i;
      ==> 3
        type(i);
      ==> // i int 3

See Data types; listvar; print.

User manual for Singular version 4.4.1, 2025, generated by texi2html.